. "$PSScriptRoot/../../Scripts/Context.ps1";
$path = "$env:LOCALAPPDATA/osu!";
$softwareName = "osu!";
$genericConfigName = "osu!.User.cfg";

function Invoke-BackupOsu([Context] $context) {
    $archive = $context.SoftwareArchive($softwareName);
    $context.Backup($path, $archive, @("-i@`"$PSScriptRoot/include.txt`""));
    & 7z rn "$archive" "osu!.$env:USERNAME.cfg" $genericConfigName;
}
