#!/bin/bash
pushd "${BASH_SOURCE%/*}" > /dev/null;

. "./personal.sh";
. "../Software/OpenConnect/install.sh";
. "../Config/OpenConnect/plasma-nm.sh";

# Java
yay --noconfirm -Syu \
    jdk17-temurin \
    gradle \
    jetbrains-toolbox;

# Note Taking
yay --noconfirm -Syu \
    xournalpp-git \
    rnote;

# Latex
yay --noconfirm -Syu \
    texlive;

. "../../Common/Config/udev/ct-board.sh";

popd > /dev/null;
