#!/bin/bash
# Elevate script
pushd "${BASH_SOURCE%/*}" > /dev/null;

if [ ! "$UID" -eq 0 ]
then
    sudo bash "$BASH_SOURCE";
    source "../../../Common/Config/rclone/install.sh";
else
    package="$(mktemp)";
    wget https://github.com/rclone/rclone/releases/download/v1.60.0/rclone-v1.60.0-linux-amd64.deb -O "$package";
    dpkg -i "$package";
    rm -f "$package";
fi

popd;
